Show / Hide Table of Contents

# Struct AgentRevive

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentRevive

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### ResurrectingPlayerId

##### Declaration

    public uint ResurrectingPlayerId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ResurrectingPlayerName

##### Declaration

    public Utf8String ResurrectingPlayerName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### ResurrectionTimeLeft

##### Declaration

    public int ResurrectionTimeLeft

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Revive

##### Declaration

    public Revive*Revive

##### Field Value

Type | Description
--- | ---
Revive* |

| Improve this Doc View Source

#### ReviveState

##### Declaration

    public byte ReviveState

##### Field Value

Type | Description
--- | ---
System.Byte |